Xfbdev(1)

NAME
Xfbdev - Linux framebuffer device tiny X server

SYNOPSIS
Xfbdev [:display] [option...]

DESCRIPTION
Xfbdev is a generic X server for Linux. Xfbdev doesn't know about any particular hardware, and uses the framebuffer provided by the Linux framebuffer device.

OPTIONS
Xfbdev accepts the common options of the Xkdrive family of servers. Please see Xkdrive(@appmansuffix@). Xfbdev also accepts the following additional options:

-fb </dev/fbxx>
    sets the framebuffer device path the X server will use.

-dri [string]
    enables DRI3 support for the X server. If string is a card node (/dev/dri/cardxx), or a render node (/dev/dri/renderDxxx), then that device node will be used by glamor for DRI3 support. If string is either auto or not passed at all, then glamor will try to pick a dri card node suitable for direct rendering.

-drm-master
    tells the X server to enable master permissions on the dri fd it uses (if DRI3 is enabled).

-partial-dri
    tells the X server that it is allowed to initialize DRI3 partially, if full DRI3 initialization isn't possible (if DRI3 is enabled).

-noshadow
    disables the ShadowFB layer on supported hw, may slightly increase performance. May also lead to flickering.

-noaccel
    disables hw acceleration (similar to -dumb, but only for a single screen).

-glamor
    force enables glamor render acceleration (even on top of sw renderers like softpipe/llvmpipe).

-gbm
    allows glamor to use libgbm (it is only used for matching EGLDeviceEXT's to dri fd's).

-noglamor
    force disables glamor render acceleration. Also disables DRI3 and X-Video support. GLX is still enabled.

-glvendor <library>
    tells the X server what gl vendor library to use. Particularly useful on multi-card systems.

-force-gl
    tells the X server to only use desktop OpenGL contexts.

-force-es
    tells the X server to only use embedded GLES contexts.

-noxv
    disables X-Video support.

KEYBOARD
Xfbdev supports the common special key combinations of the Xkdrive family of servers. Please see Xkdrive(@appmansuffix@). Xfbdev also accepts the following additional special key combinations:

Ctrl+Alt+F1...F12
    For systems with virtual terminal support, these keystroke combinations are used to switch to virtual terminals 1 through 12, respectively.

SEE ALSO
X(@miscmansuffix@), Xserver(@appmansuffix@), Xkdrive(@appmansuffix@), xdm(@appmansuffix@), xinit(@appmansuffix@).

AUTHORS
The Xfbdev server was written by Keith Packard. HW acceleration support was later added by stefan11111.